#include <cstdio>
#include <iostream>
#include <fstream>
#include <cstdlib>

int main(){
	std::cout << "benchRes" << std::endl;
	std::ifstream res;
	res.open("benchResult");
	std::cout << "FILE OPENED" << std::endl;
	
	char line[500];
	char planner[40];
	char oldPlanner[40];
	float pts[22];
	int runs = 0;
	float minTime = 1000000;
	float maxTime = 0;
	float addedTime = 0;
	int fails = 0;
	char two[2];

	while(res.getline(line, 500)){
		sscanf(line, "geometric_%s", planner);
		//std::cout << "+++++++++++++++++++++" << oldPlanner << "+++++++++++++++++++++" << std::endl;
		//std::cout << "********************" << planner << "*********************" << std::endl;
		if((planner[0] != oldPlanner[0] || planner[1] != oldPlanner[1]  || planner[2] != oldPlanner[2] )){
			std::cout << oldPlanner << " FINISHED" << std::endl;
			std::cout << "AverageTime current planner: " << addedTime/(runs-fails) << std::endl;
			std::cout << "Number of fails: " << fails << std::endl;
			std::cout << "MaxTime: " << maxTime << std::endl;
			std::cout << "MinTime: " << minTime << std::endl;
			
			minTime = 100000;
			maxTime = 0;
			addedTime = 0;
			fails = 0;
			runs =0;
			sscanf(line, "geometric_%s", oldPlanner);			
		}
		
		sscanf(line, "%f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f; %f;",
		&pts[0], &pts[1], &pts[2], &pts[3], &pts[4], &pts[5], &pts[6], &pts[7], &pts[8], &pts[9],
		&pts[10], &pts[11], &pts[12], &pts[13], &pts[14], &pts[15], &pts[16], &pts[17], &pts[18], &pts[19],
		&pts[20], &pts[21]);
		//std::cout << line << std::endl;
		//std::cout <<"*********" <<  pts[2] << "********" << pts[20] << std::endl;
		sscanf(line, "%s %s", &two[0], &two[1]);
		//std::cout << two[0] << "\t" << two[1] << "\t" << two[2] << std::endl;
		if(two[0] == two[1]){
			pts[2] = 0;
		}
		//Solution found
		
		
		if(pts[2] == 1 && pts[20] <=5.0){
			addedTime += pts[20];
			if(pts[20] > maxTime){
				maxTime = pts[20];
			}
			if(pts[20] < minTime){
				minTime = pts[20];
			}
			runs +=1;

		}
		else{
			fails += 1;
			runs +=1;

		}
		//std::cout << runs << std::endl;
		
	}
	std::cout << oldPlanner << " FINISHED" << std::endl;
			std::cout << "AverageTime current planner: " << addedTime/(runs-fails) << std::endl;
			std::cout << "Number of fails: " << fails << std::endl;
			std::cout << "MaxTime: " << maxTime << std::endl;
			std::cout << "MinTime: " << minTime << std::endl;
			
			minTime = 100000;
			maxTime = 0;
			addedTime = 0;
			fails = 0;
			runs =0;
	res.close();
	return 0;
}